Update an tax code
curl --request PUT \
--url https://external.pleo.io/v0/tax-codes/{taxCodeId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json;charset=UTF-8' \
--data '
{
"archived": true,
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Standardmoms (25 %)",
"rate": 123,
"code": "01",
"ingoingTaxAccount": "<string>",
"outgoingTaxAccount": "<string>"
}
'import requests
url = "https://external.pleo.io/v0/tax-codes/{taxCodeId}"
payload = {
"archived": True,
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Standardmoms (25 %)",
"rate": 123,
"code": "01",
"ingoingTaxAccount": "<string>",
"outgoingTaxAccount": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json;charset=UTF-8"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/json;charset=UTF-8'
},
body: JSON.stringify({
archived: true,
companyId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: 'Standardmoms (25 %)',
rate: 123,
code: '01',
ingoingTaxAccount: '<string>',
outgoingTaxAccount: '<string>'
})
};
fetch('https://external.pleo.io/v0/tax-codes/{taxCodeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://external.pleo.io/v0/tax-codes/{taxCodeId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'archived' => true,
'companyId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'name' => 'Standardmoms (25 %)',
'rate' => 123,
'code' => '01',
'ingoingTaxAccount' => '<string>',
'outgoingTaxAccount' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json;charset=UTF-8"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://external.pleo.io/v0/tax-codes/{taxCodeId}"
payload := strings.NewReader("{\n \"archived\": true,\n \"companyId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"Standardmoms (25 %)\",\n \"rate\": 123,\n \"code\": \"01\",\n \"ingoingTaxAccount\": \"<string>\",\n \"outgoingTaxAccount\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json;charset=UTF-8")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://external.pleo.io/v0/tax-codes/{taxCodeId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json;charset=UTF-8")
.body("{\n \"archived\": true,\n \"companyId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"Standardmoms (25 %)\",\n \"rate\": 123,\n \"code\": \"01\",\n \"ingoingTaxAccount\": \"<string>\",\n \"outgoingTaxAccount\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://external.pleo.io/v0/tax-codes/{taxCodeId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json;charset=UTF-8'
request.body = "{\n \"archived\": true,\n \"companyId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"Standardmoms (25 %)\",\n \"rate\": 123,\n \"code\": \"01\",\n \"ingoingTaxAccount\": \"<string>\",\n \"outgoingTaxAccount\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"archived": true,
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Standardmoms (25 %)",
"rate": 123,
"type": "inclusive",
"updatedAt": "2023-11-07T05:31:56Z",
"accountingIntegrationSystem": "<string>",
"code": "01",
"ingoingTaxAccount": "<string>",
"outgoingTaxAccount": "<string>"
}
}Tax Codes
Update an tax code
PUT
/
v0
/
tax-codes
/
{taxCodeId}
Update an tax code
curl --request PUT \
--url https://external.pleo.io/v0/tax-codes/{taxCodeId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json;charset=UTF-8' \
--data '
{
"archived": true,
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Standardmoms (25 %)",
"rate": 123,
"code": "01",
"ingoingTaxAccount": "<string>",
"outgoingTaxAccount": "<string>"
}
'import requests
url = "https://external.pleo.io/v0/tax-codes/{taxCodeId}"
payload = {
"archived": True,
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Standardmoms (25 %)",
"rate": 123,
"code": "01",
"ingoingTaxAccount": "<string>",
"outgoingTaxAccount": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json;charset=UTF-8"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/json;charset=UTF-8'
},
body: JSON.stringify({
archived: true,
companyId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: 'Standardmoms (25 %)',
rate: 123,
code: '01',
ingoingTaxAccount: '<string>',
outgoingTaxAccount: '<string>'
})
};
fetch('https://external.pleo.io/v0/tax-codes/{taxCodeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://external.pleo.io/v0/tax-codes/{taxCodeId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'archived' => true,
'companyId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'name' => 'Standardmoms (25 %)',
'rate' => 123,
'code' => '01',
'ingoingTaxAccount' => '<string>',
'outgoingTaxAccount' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json;charset=UTF-8"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://external.pleo.io/v0/tax-codes/{taxCodeId}"
payload := strings.NewReader("{\n \"archived\": true,\n \"companyId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"Standardmoms (25 %)\",\n \"rate\": 123,\n \"code\": \"01\",\n \"ingoingTaxAccount\": \"<string>\",\n \"outgoingTaxAccount\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json;charset=UTF-8")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://external.pleo.io/v0/tax-codes/{taxCodeId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json;charset=UTF-8")
.body("{\n \"archived\": true,\n \"companyId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"Standardmoms (25 %)\",\n \"rate\": 123,\n \"code\": \"01\",\n \"ingoingTaxAccount\": \"<string>\",\n \"outgoingTaxAccount\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://external.pleo.io/v0/tax-codes/{taxCodeId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json;charset=UTF-8'
request.body = "{\n \"archived\": true,\n \"companyId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"Standardmoms (25 %)\",\n \"rate\": 123,\n \"code\": \"01\",\n \"ingoingTaxAccount\": \"<string>\",\n \"outgoingTaxAccount\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"archived": true,
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Standardmoms (25 %)",
"rate": 123,
"type": "inclusive",
"updatedAt": "2023-11-07T05:31:56Z",
"accountingIntegrationSystem": "<string>",
"code": "01",
"ingoingTaxAccount": "<string>",
"outgoingTaxAccount": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Tax code ID to update
Body
application/json;charset=UTF-8
Boolean flag used to archive or unarchive a category (when set to true, account is not visible or usable on the platform)
Company ID the tax code is being created/updated for
Name of the tax code
Example:
"Standardmoms (25 %)"
Percentage rate applied for this tax code (This is represented in decimals and not the percentage. e.g. 20% tax rate would be 0.20)
Classification of this tax code
Available options:
inclusive, exclusive, reverse The accounting system's internal identifier of the tax code
Example:
"01"
Ingoing tax account usually used to account for reverse VAT
Outgoing tax account usually used to account for reverse VAT
Response
default - application/json;charset=UTF-8
default response
Show child attributes
Show child attributes